
Name:    pam-kwallet
Summary: PAM module for KWallet
Version: 5.4.2
Release: 1%{?dist}

License: LGPLv2+
URL:     https://projects.kde.org/projects/kde/workspace/kwallet-pam

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/kwallet-pam-%{version}.tar.xz

Provides: kwallet-pam = %{version}-%{release}

BuildRequires: cmake >= 2.8
BuildRequires: libgcrypt-devel >= 1.5.0
BuildRequires: pam-devel

# https://bugzilla.redhat.com/show_bug.cgi?id=1155873
Requires: socat

%description
%{summary}.


%prep
%setup -q -n kwallet-pam-%{version}


%build
mkdir %{_target_platform}-5
pushd %{_target_platform}-5
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}-5

mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake} .. \
  -DKWALLET4=1
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}-5


%files
/%{_lib}/security/pam_kwallet5.so
/%{_lib}/security/pam_kwallet.so


%changelog
* Thu Oct 01 2015 Rex Dieter <rdieter@fedoraproject.org> - 5.4.2-1
- 5.4.2

* Wed Sep 09 2015 Rex Dieter <rdieter@fedoraproject.org> 5.4.1-1
- kwallet-pam-5.4.1

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20140508git49a5bc0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Dec 05 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.7.20140508git
- Requires: socat (#1155873)

* Thu Sep 25 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.6.20140508git49a5bc0
- 20140508 snapshot

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20140428gitaf786456
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20140428gitaf786456
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.3.20140428gitaf786456
- License: LGPLv2+

* Mon Apr 28 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.2.20140428gitaf786456
- 20140428 git snapshot

* Fri Apr 11 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.120140409git7604d424
- first try

